%define name freedroid
%define version 1.0.1
%define release 1mdk

Summary: Clone of the C64 Game Paradroid
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: http://freedroid.sourceforge.net/Freedroid_Manual.ps.bz2
Source2: %{name}-icons.tar.bz2
License: GPL
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://freedroid.sourceforge.net/
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_image-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.

In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.

The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.

%prep
%setup -q
cp %SOURCE1 .

%build
%configure2_5x --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make CC="%{__cc} $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  needs="x11" \
		  icon="%{name}.png" \
		  section="Amusement/Arcade" \
		  title="Freedroid"\
		  longtitle="Clone of the C64 game paradroid"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS TODO Freedroid_Manual.ps.bz2
%_gamesbindir/freedroid
%_gamesdatadir/freedroid/
%_mandir/man6/freedroid.6*
%_menudir/freedroid
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue May  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- add the man page
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-5mdk
- fix buildrequires

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-4mdk
- fix distriblint warning

* Sat Apr 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8.4-3mdk
- dropped Prefix tag
- compile with $RPM_OPT_FLAGS
- added icons

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- add the manual to the docs

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- initial package

